﻿Imports System.ServiceModel
Imports System.Xml

<ServiceContract(Namespace:="urn:oasis:names:tc:legalxml-courtfiling:schema:xsd:CoreFilingMessage-4.0"), XmlSerializerFormat(Style:=OperationFormatStyle.Document, Use:=OperationFormatUse.Literal)>
Public Interface IDocumentNotificationReceiverService

    <OperationContract(Action:="http://www.courts.state.mn.us/IS/02/DocumentNotification", ReplyAction:="http://www.courts.state.mn.us/IS/02/DocumentNotificationResponse")>
    Function ReceiveMessage(ByVal CoreFilingMessage As CoreFilingMessage_4_0) As MessageReceiptMessage2_4_0

End Interface



''' <summary>
''' CoreFilingMessage message definition.
''' </summary>
''' <remarks></remarks>
<MessageContract(IsWrapped:=False)> _
Public Class CoreFilingMessage_4_0
    <MessageBodyMember(Namespace:="urn:oasis:names:tc:legalxml-courtfiling:schema:xsd:CoreFilingMessage-4.0", Name:="CoreFilingMessage")> Public CoreFilingMessage As ECF40.CoreFilingMessageType
End Class
'<MessageContract(IsWrapped:=False)> _
'Public Class CoreFilingMessage_4_0
'    <MessageBodyMember(Name:="CoreFilingMessage")> Public CoreFilingMessage As System.Xml.XmlDocument
'End Class
'<MessageContract(IsWrapped:=False, WrapperName:="CoreFilingMessage", WrapperNamespace:="urn:oasis:names:tc:legalxml-courtfiling:schema:xsd:CoreFilingMessage-4.0")> _
'Public Class CoreFilingMessage_4_0
'    <MessageBodyMember(Namespace:="http://niem.gov/niem/niem-core/2.0", Name:="DocumentSubmitter")> Public DocumentSubmitter As System.Xml.XmlElement
'    <MessageBodyMember(Namespace:="urn:oasis:names:tc:legalxml-courtfiling:schema:xsd:CommonTypes-4.0", Name:="SendingMDELocationID")> Public SendingMDELocationID As System.Xml.XmlElement
'    <MessageBodyMember(Namespace:="urn:oasis:names:tc:legalxml-courtfiling:schema:xsd:CommonTypes-4.0", Name:="SendingMDEProfileCode")> Public SendingMDEProfileCode As String
'    <MessageBodyMember(Namespace:="http://niem.gov/niem/niem-core/2.0", Name:="Case")> Public [Case] As System.Xml.XmlElement
'    <MessageBodyMember(Namespace:="urn:oasis:names:tc:legalxml-courtfiling:schema:xsd:CoreFilingMessage-4.0", Name:="FilingLeadDocument")> Public FilingLeadDocument As System.Xml.XmlElement
'End Class
'<MessageContract(IsWrapped:=False)> _
'Public Class CoreFilingMessage_4_0
'    <MessageBodyMember(Namespace:="urn:oasis:names:tc:legalxml-courtfiling:schema:xsd:CoreFilingMessage-4.0", Name:="CoreFilingMessage")> Public CoreFilingMessage As System.Xml.XmlElement
'End Class

''' <summary>
''' MessageReceiptMessage message definition.
''' </summary>
''' <remarks></remarks>
<MessageContract(IsWrapped:=False)> _
Public Class MessageReceiptMessage2_4_0
    <MessageBodyMember(Namespace:="urn:oasis:names:tc:legalxml-courtfiling:schema:xsd:MessageReceiptMessage-4.0", Name:="MessageReceiptMessage")> Public MessageReceiptMessage As ECF40.MessageReceiptMessageType
End Class
'<MessageContract(IsWrapped:=False)> _
'Public Class MessageReceiptMessage_4_0
'    <MessageBodyMember(Namespace:="urn:oasis:names:tc:legalxml-courtfiling:schema:xsd:MessageReceiptMessage-4.0", Name:="MessageReceiptMessage")> Public MessageReceiptMessage As System.Xml.XmlElement
'End Class
